charts/dial-core/values.yaml [216:413]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
env:
  {}
  # key1: "value1"
  # key2: "value2"
# -- Key-value pairs extra environment variables to add in environment variables from secrets to dial-core
secrets:
  {}
  # key1: "value1"
  # key2: "value2"
# -- Name of existing Secret containing extra env vars for dial-core containers
extraEnvVarsSecret: ""
# -- Optionally specify extra list of additional volumes for the dial-core pod(s)
extraVolumes: []
# -- Optionally specify extra list of additional volumeMounts for the dial-core container(s)
extraVolumeMounts: []
# -- Add additional sidecar containers to the dial-core pod(s)
sidecars:
  []
  # - name: your-image-name
  #   image: your-image
  #   imagePullPolicy: Always
  #   ports:
  #     - name: your-port-name
  #       containerPort: 1234
# -- Add additional init containers to the dial-core pod(s)
# ref: https://kubernetes.io/docs/concepts/workloads/pods/init-containers/
initContainers:
  []
  # - name: your-image-name
  #   image: your-image
  #   imagePullPolicy: Always
  #   command: ["sh", "-c", 'echo "hello world"']

# -- Enable Host Network
# If hostNetwork true, then dnsPolicy is set to ClusterFirstWithHostNet
hostNetwork: false

### Service configuration ###
service:
  # -- dial-core service type
  type: ClusterIP
  ports:
    # -- dial-core service HTTP port
    http: 80
  # -- Node ports to expose
  # NOTE: choose port between <30000-32767>
  nodePorts:
    # -- Node port for HTTP
    http: ""
  # -- dial-core service Cluster IP
  # clusterIP: None
  clusterIP: ""
  # -- dial-core service Load Balancer IP
  # ref: https://kubernetes.io/docs/concepts/services-networking/service/#type-loadbalancer
  loadBalancerIP: ""
  # -- dial-core service Load Balancer sources
  # ref: https://kubernetes.io/docs/tasks/access-application-cluster/configure-cloud-provider-firewall/#restrict-access-for-loadbalancer-service
  loadBalancerSourceRanges:
    []
    # - 10.10.10.0/24
  # -- dial-core service external traffic policy
  # ref http://kubernetes.io/docs/tasks/access-application-cluster/create-external-load-balancer/#preserving-the-client-source-ip
  externalTrafficPolicy: Cluster
  # -- Additional custom annotations for dial-core service
  annotations: {}
  # -- Extra ports to expose in dial-core service (normally used with the `sidecars` value)
  extraPorts: []
  # -- Control where client requests go, to the same pod or round-robin
  # Values: ClientIP or None
  # ref: https://kubernetes.io/docs/user-guide/services/
  sessionAffinity: None
  # -- Additional settings for the sessionAffinity
  sessionAffinityConfig:
    {}
    # clientIP:
    #   timeoutSeconds: 300

### ServiceAccount configuration ###
serviceAccount:
  # -- Specifies whether a ServiceAccount should be created
  create: true
  # -- The name of the ServiceAccount to use.
  # If not set and create is true, a name is generated using the common.names.fullname template
  name: ""
  # -- Additional Service Account annotations (evaluated as a template)
  annotations: {}
  # -- Automount service account token for the server service account
  automountServiceAccountToken: true

### Prometheus metrics configuration ###
metrics:
  # -- Enable the export of Prometheus metrics
  enabled: false
  ### Dedicated Kubernetes Service for dial-core metrics configuration ###
  service:
    # -- dial-core metrics service type
    type: ClusterIP
    # -- dial-core metrics service port
    ports:
      # -- dial-core metrics service port
      http: 9464
    # -- Node ports to expose
    # NOTE: choose port between <30000-32767>
    nodePorts:
      # -- Node port for metrics
      http: ""
    # -- dial-core metrics service Cluster IP
    # clusterIP: None
    clusterIP: ""
    # -- dial-core metrics service Load Balancer IP
    # ref: https://kubernetes.io/docs/concepts/services-networking/service/#type-loadbalancer
    loadBalancerIP: ""
    # -- dial-core metrics service Load Balancer sources
    # ref: https://kubernetes.io/docs/tasks/access-application-cluster/configure-cloud-provider-firewall/#restrict-access-for-loadbalancer-service
    loadBalancerSourceRanges:
      []
      # - 10.10.10.0/24
    # -- dial-core metrics service external traffic policy
    # ref http://kubernetes.io/docs/tasks/access-application-cluster/create-external-load-balancer/#preserving-the-client-source-ip
    externalTrafficPolicy: Cluster
    # -- Additional custom annotations for dial-core metrics service
    annotations:
      {}
      # prometheus.io/scrape: "true"
      # prometheus.io/port: "{{ .Values.metrics.service.port }}"
    # -- Extra ports to expose in dial-core metrics service (normally used with the `sidecars` value)
    extraPorts: []
    # -- Control where client requests go, to the same pod or round-robin
    # Values: ClientIP or None
    # ref: https://kubernetes.io/docs/user-guide/services/
    sessionAffinity: None
    # -- Additional settings for the sessionAffinity
    sessionAffinityConfig:
      {}
      # clientIP:
      #   timeoutSeconds: 300
  ### Prometheus Operator ServiceMonitor configuration ###
  serviceMonitor:
    # -- if `true`, creates a Prometheus Operator ServiceMonitor (also requires `metrics.enabled` to be `true`)
    enabled: false
    # -- Namespace in which Prometheus is running
    namespace: ""
    # -- Additional custom annotations for the ServiceMonitor
    annotations: {}
    # -- Extra labels for the ServiceMonitor
    labels: {}
    # -- The name of the label on the target service to use as the job name in Prometheus
    jobLabel: ""
    # -- honorLabels chooses the metric's labels on collisions with target labels
    honorLabels: false
    # -- Specify service metrics port
    # ref: https://github.com/coreos/prometheus-operator/blob/master/Documentation/api.md#endpoint
    port: "http-metrics"
    # -- Specify metrics path
    # ref: https://github.com/coreos/prometheus-operator/blob/master/Documentation/api.md#endpoint
    path: "/metrics"
    # -- Interval at which metrics should be scraped.
    # ref: https://github.com/coreos/prometheus-operator/blob/master/Documentation/api.md#endpoint
    # e.g: interval: 10s
    interval: ""
    # -- Timeout after which the scrape is ended
    # ref: https://github.com/coreos/prometheus-operator/blob/master/Documentation/api.md#endpoint
    # e.g: scrapeTimeout: 10s
    scrapeTimeout: ""
    # -- Specify additional relabeling of metrics
    metricRelabelings: []
    # -- Specify general relabeling
    relabelings: []
    # -- Prometheus instance selector labels
    # ref: https://github.com/bitnami/charts/tree/main/bitnami/prometheus-operator#prometheus-configuration
    selector:
      {}
      # prometheus: my-prometheus

### Ingress configuration ###
# ref: http://kubernetes.io/docs/user-guide/ingress/
ingress:
  # -- Enable ingress record generation for container
  enabled: false
  # -- Ingress path type
  pathType: Prefix
  # -- IngressClass that will be be used to implement the Ingress
  # ref: https://kubernetes.io/docs/concepts/services-networking/ingress/#ingress-class
  ingressClassName: ""
  # -- Default path for the ingress record
  # NOTE: You may need to set this to '/*' in order to use this with ALB ingress controllers
  path: /
  # -- Additional annotations for the Ingress resource. To enable certificate autogeneration, place here your cert-manager annotations.
  # Use this parameter to set the required annotations for cert-manager, see
  # ref: https://cert-manager.io/docs/usage/ingress/#supported-annotations
  annotations:
    {}
    # kubernetes.io/ingress.class: nginx
    # cert-manager.io/cluster-issuer: cluster-issuer-name
  # -- Change default name of service for the ingress record
  serviceName: ""
  # -- An array with hostname(s) to be covered with the ingress record
  hosts:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



charts/dial-extension/values.yaml [198:395]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
env:
  {}
  # key1: "value1"
  # key2: "value2"
# -- Key-value pairs extra environment variables to add in environment variables from secrets to dial-extension
secrets:
  {}
  # key1: "value1"
  # key2: "value2"
# -- Name of existing Secret containing extra env vars for dial-extension containers
extraEnvVarsSecret: ""
# -- Optionally specify extra list of additional volumes for the dial-extension pod(s)
extraVolumes: []
# -- Optionally specify extra list of additional volumeMounts for the dial-extension container(s)
extraVolumeMounts: []
# -- Add additional sidecar containers to the dial-extension pod(s)
sidecars:
  []
  # - name: your-image-name
  #   image: your-image
  #   imagePullPolicy: Always
  #   ports:
  #     - name: your-port-name
  #       containerPort: 1234
# -- Add additional init containers to the dial-extension pod(s)
# ref: https://kubernetes.io/docs/concepts/workloads/pods/init-containers/
initContainers:
  []
  # - name: your-image-name
  #   image: your-image
  #   imagePullPolicy: Always
  #   command: ["sh", "-c", 'echo "hello world"']

# -- Enable Host Network
# If hostNetwork true, then dnsPolicy is set to ClusterFirstWithHostNet
hostNetwork: false

### Service configuration ###
service:
  # -- dial-extension service type
  type: ClusterIP
  ports:
    # -- dial-extension service HTTP port
    http: 80
  # -- Node ports to expose
  # NOTE: choose port between <30000-32767>
  nodePorts:
    # -- Node port for HTTP
    http: ""
  # -- dial-extension service Cluster IP
  # clusterIP: None
  clusterIP: ""
  # -- dial-extension service Load Balancer IP
  # ref: https://kubernetes.io/docs/concepts/services-networking/service/#type-loadbalancer
  loadBalancerIP: ""
  # -- dial-extension service Load Balancer sources
  # ref: https://kubernetes.io/docs/tasks/access-application-cluster/configure-cloud-provider-firewall/#restrict-access-for-loadbalancer-service
  loadBalancerSourceRanges:
    []
    # - 10.10.10.0/24
  # -- dial-extension service external traffic policy
  # ref http://kubernetes.io/docs/tasks/access-application-cluster/create-external-load-balancer/#preserving-the-client-source-ip
  externalTrafficPolicy: Cluster
  # -- Additional custom annotations for dial-extension service
  annotations: {}
  # -- Extra ports to expose in dial-extension service (normally used with the `sidecars` value)
  extraPorts: []
  # -- Control where client requests go, to the same pod or round-robin
  # Values: ClientIP or None
  # ref: https://kubernetes.io/docs/user-guide/services/
  sessionAffinity: None
  # -- Additional settings for the sessionAffinity
  sessionAffinityConfig:
    {}
    # clientIP:
    #   timeoutSeconds: 300

### ServiceAccount configuration ###
serviceAccount:
  # -- Specifies whether a ServiceAccount should be created
  create: true
  # -- The name of the ServiceAccount to use.
  # If not set and create is true, a name is generated using the common.names.fullname template
  name: ""
  # -- Additional Service Account annotations (evaluated as a template)
  annotations: {}
  # -- Automount service account token for the server service account
  automountServiceAccountToken: true

### Prometheus metrics configuration ###
metrics:
  # -- Enable the export of Prometheus metrics
  enabled: false
  ### Dedicated Kubernetes Service for dial-extension metrics configuration ###
  service:
    # -- dial-extension metrics service type
    type: ClusterIP
    # -- dial-extension metrics service port
    ports:
      # -- dial-extension metrics service port
      http: 9464
    # -- Node ports to expose
    # NOTE: choose port between <30000-32767>
    nodePorts:
      # -- Node port for metrics
      http: ""
    # -- dial-extension metrics service Cluster IP
    # clusterIP: None
    clusterIP: ""
    # -- dial-extension metrics service Load Balancer IP
    # ref: https://kubernetes.io/docs/concepts/services-networking/service/#type-loadbalancer
    loadBalancerIP: ""
    # -- dial-extension metrics service Load Balancer sources
    # ref: https://kubernetes.io/docs/tasks/access-application-cluster/configure-cloud-provider-firewall/#restrict-access-for-loadbalancer-service
    loadBalancerSourceRanges:
      []
      # - 10.10.10.0/24
    # -- dial-extension metrics service external traffic policy
    # ref http://kubernetes.io/docs/tasks/access-application-cluster/create-external-load-balancer/#preserving-the-client-source-ip
    externalTrafficPolicy: Cluster
    # -- Additional custom annotations for dial-extension metrics service
    annotations:
      {}
      # prometheus.io/scrape: "true"
      # prometheus.io/port: "{{ .Values.metrics.service.port }}"
    # -- Extra ports to expose in dial-extension metrics service (normally used with the `sidecars` value)
    extraPorts: []
    # -- Control where client requests go, to the same pod or round-robin
    # Values: ClientIP or None
    # ref: https://kubernetes.io/docs/user-guide/services/
    sessionAffinity: None
    # -- Additional settings for the sessionAffinity
    sessionAffinityConfig:
      {}
      # clientIP:
      #   timeoutSeconds: 300
  ### Prometheus Operator ServiceMonitor configuration ###
  serviceMonitor:
    # -- if `true`, creates a Prometheus Operator ServiceMonitor (also requires `metrics.enabled` to be `true`)
    enabled: false
    # -- Namespace in which Prometheus is running
    namespace: ""
    # -- Additional custom annotations for the ServiceMonitor
    annotations: {}
    # -- Extra labels for the ServiceMonitor
    labels: {}
    # -- The name of the label on the target service to use as the job name in Prometheus
    jobLabel: ""
    # -- honorLabels chooses the metric's labels on collisions with target labels
    honorLabels: false
    # -- Specify service metrics port
    # ref: https://github.com/coreos/prometheus-operator/blob/master/Documentation/api.md#endpoint
    port: "http-metrics"
    # -- Specify metrics path
    # ref: https://github.com/coreos/prometheus-operator/blob/master/Documentation/api.md#endpoint
    path: "/metrics"
    # -- Interval at which metrics should be scraped.
    # ref: https://github.com/coreos/prometheus-operator/blob/master/Documentation/api.md#endpoint
    # e.g: interval: 10s
    interval: ""
    # -- Timeout after which the scrape is ended
    # ref: https://github.com/coreos/prometheus-operator/blob/master/Documentation/api.md#endpoint
    # e.g: scrapeTimeout: 10s
    scrapeTimeout: ""
    # -- Specify additional relabeling of metrics
    metricRelabelings: []
    # -- Specify general relabeling
    relabelings: []
    # -- Prometheus instance selector labels
    # ref: https://github.com/bitnami/charts/tree/main/bitnami/prometheus-operator#prometheus-configuration
    selector:
      {}
      # prometheus: my-prometheus

### Ingress configuration ###
# ref: http://kubernetes.io/docs/user-guide/ingress/
ingress:
  # -- Enable ingress record generation for container
  enabled: false
  # -- Ingress path type
  pathType: Prefix
  # -- IngressClass that will be be used to implement the Ingress
  # ref: https://kubernetes.io/docs/concepts/services-networking/ingress/#ingress-class
  ingressClassName: ""
  # -- Default path for the ingress record
  # NOTE: You may need to set this to '/*' in order to use this with ALB ingress controllers
  path: /
  # -- Additional annotations for the Ingress resource. To enable certificate autogeneration, place here your cert-manager annotations.
  # Use this parameter to set the required annotations for cert-manager, see
  # ref: https://cert-manager.io/docs/usage/ingress/#supported-annotations
  annotations:
    {}
    # kubernetes.io/ingress.class: nginx
    # cert-manager.io/cluster-issuer: cluster-issuer-name
  # -- Change default name of service for the ingress record
  serviceName: ""
  # -- An array with hostname(s) to be covered with the ingress record
  hosts:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



